.\" Copyright (c) 2000 Stijn van Dongen
.TH "buzzz" 1 "29 Feb 2000" "buzzz 1\&.00" "USER COMMANDS "
.po 2m
.de ZI
.\" Zoem Indent/Itemize macro I.
.br
'in +\\$1
.nr xa 0
.nr xa -\\$1
.nr xb \\$1
.nr xb -\\w'\\$2'
\h'|\\n(xau'\\$2\h'\\n(xbu'\\
..
.de ZJ
.br
.\" Zoem Indent/Itemize macro II.
'in +\\$1
'in +\\$2
.nr xa 0
.nr xa -\\$2
.nr xa -\\w'\\$3'
.nr xb \\$2
\h'|\\n(xau'\\$3\h'\\n(xbu'\\
..
.if n .ll -2m
.am SH
.ie n .in 4m
.el .in 8m
..
.SH NAME
buzzz \- go buzzz\&.
.SH SYNOPSIS

\fBbuzzz\fP
\fB-l\fP i (\fIloudness\fP)
\fB-d\fP f (\fIduration\fP)
\fB[-f\fP f (\fIfrequency\fP)\fB]\fP
\fB[--dragonfly\fP (\fIdragon style\fP)\fB]\fP
\fB[--bumblebee\fP (\fIbumble style\fP)\fB]\fP
\fB[--disk\fP (\fIcomputer style\fP)\fB]\fP
\fB[-style\fP (\fIsome style\fP)\fB]\fP
\fB[--scan\fP (\fIscan mode\fP)\fB]\fP
\fB[-sd\fP i (\fIscan duration\fP)\fB]\fP
\fB<file\&.bzz|dir>\fP (\fItune source\fP)
.SH DESCRIPTION

\fBbuzzz\fP buzzes\&. It can do so in different styles, at different base
frequencies, and at different volumes\&. See the \fBOPTIONS\fP section
for a description of all options\&.

The \fB-l\fP\ \&\fIloudness\fP and
\fB-d\fP\ \&\fIduration\fP options
are both mandatory\&. The last argument given must be a file containing
the tune to buzz, or a directory containing such tune files\&.
The tune must be contained in an interval of at most
five tones\&. Non-conforming tunes may damage your soundcard\&.
.SH OPTIONS

.ZI 2m "\fB-f\fP f (\fIfrequency\fP)"
\&
.br
Frequency in Hertz, can be specified as a positive real number\&.
.in -2m

.ZI 2m "\fB-l\fP i (\fIloudness\fP)"
\&
.br
Loudness, which is specified as an integer inbetween 0 and 100\&.
.in -2m

.ZI 2m "\fB-d\fP f (\fIduration\fP)"
\&
.br
Duration in hours, can be specified as a positive real\&.
.in -2m

The following options are discussed as a group:
.in -2m

.ZI 2m "\fB--dragonfly\fP (\fIdragon style\fP)"
\&
'in -2m
.ZI 2m "\fB--bumblebee\fP (\fIbumble style\fP)"
\&
'in -2m
.ZI 2m "\fB--disk\fP (\fIcomputer style\fP)"
\&
'in -2m
.ZI 2m "\fB--mosquito\fP (\fIsting style\fP)"
\&
'in -2m
'in +2m
\&
.br
These are unary options specifying the style in which to buzz\&.
.in -2m

.ZI 2m "\fB-style\fP str (\fIbuzz style\fP)"
\&
.br
\fIstr\fP should be one of \fCbumblebee\fP, \fCdragonfly\fP,
\fCmosquito\fP, or \fCdisk\fP\&.
.in -2m

.ZI 2m "\fB--scan\fP (\fIscan mode\fP)"
\&
.br
This will buzz 10 seconds for each tune specified\&.
Refer also to the \fB-sd\fP option\&.
.in -2m

.ZI 2m "\fB-sd\fP i (\fIscan duration\fP)"
\&
.br
Sets the scan time in (an integer number of) seconds\&. This affects the
\fB--scan\fP option\&.
.in -2m
.SH FILES

/etc/zoem/foriamzoem\&.bzz contains the zoem jingle\&.
.br
/etc/zoem/zoem\&.ascii-art contains zoem related ascii art\&.
An excerpt is shown below\&.

.di ZV
.in 0
.nf \fC

\&.-----------------------------\&.
|                             |                    
|                  _ " _      |                          
|     (\e"/)       (_\e|/_)     |                              
|     (/|\e)       (_/|\e_)     |                             
|       |            |        |                            
|             ()     |        |                                
|          -----%             |                        
|             ()              |                       
|                          ejm|
\&.-----------------------------\&.
.fi \fR
.in
.di
.ne \n(dnu
.nf \fC
.ZV
.fi \fR

.SH ENVIRONMENT

Currently, no environmental issues with \fBbuzzz\fP\&.
.SH DIAGNOSTICS

If the tune spans an interval larger than 5 tones, buzzz will
emit little beeps\&. If the interval exceeds an octave, buzzz
will fork and exec \fBbell\fP\&.
.SH BUGS

Some do\&.
.SH AUTHOR

Bugs Bunny\&.
.SH HISTORY

repeats itself, especially from a buzzing point of view\&.
Refer to [1] for an in-depth analysis\&.
A different point of view is presented in [2]\&.
.SH SEE ALSO

The \fBbell(1) manual\fP\&.

[1]
Bugs Bunny\&. Foo Bar\&.
A history of making, maintenance, repair, and disposal\&.

[2]
Donald Duck\&. The futile mistake, and how it changes my life every day\&.
